%global pyname certbot-dns-google

%if 0%{?rhel} && 0%{?rhel} <= 7
%bcond_with python3
%else
%bcond_without python3
%endif

Name:           python-%{pyname}
Version:        0.21.1
Release:        1%{?dist}
Summary:        Google Cloud DNS Authenticator plugin for Certbot

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/certbot-dns-google
Source0:        https://files.pythonhosted.org/packages/source/c/%{pyname}/%{pyname}-%{version}.tar.gz

%if 0%{?rhel}
Patch0:         allow-old-setuptools.patch
%endif

BuildArch:      noarch

BuildRequires:  python2-acme = %{version}
BuildRequires:  python2-certbot = %{version}
BuildRequires:  python2-devel
BuildRequires:  python2-google-api-client
BuildRequires:  python2-mock
BuildRequires:  python2-oauth2client
BuildRequires:  python2-setuptools
%if 0%{?rhel} && 0%{?rhel} <= 7
# EL7 has unversioned names for these packages
BuildRequires:  python-httplib2
BuildRequires:  python-zope-interface
%else
BuildRequires:  python2-httplib2
BuildRequires:  python2-zope-interface
%endif

%if %{with python3}
BuildRequires:  python3-acme = %{version}
BuildRequires:  python3-certbot = %{version}
BuildRequires:  python3-devel
BuildRequires:  python3-google-api-client
BuildRequires:  python3-httplib2
BuildRequires:  python3-mock
BuildRequires:  python3-oauth2client
BuildRequires:  python3-setuptools
BuildRequires:  python3-zope-interface
%endif

%description
The certbot-dns-rfc2136 plugin automates the process of
completing an ACME dns-01 challenge by creating, and subsequently
removing, TXT records using Google Cloud DNS.

%package -n python2-%{pyname}
# Provide the name users expect as a certbot plugin
%if 0%{?rhel} && 0%{?rhel} <= 7
Provides:       %{pyname} = %{version}-%{release}
%endif
# Although a plugin for the certbot command it's technically
# an extension to the certbot python libraries
Requires:       python2-acme = %{version}
Requires:       python2-certbot = %{version}
Requires:       python2-google-api-client
Requires:       python2-mock
Requires:       python2-oauth2client
%if 0%{?rhel} && 0%{?rhel} <= 7
# EL7 has unversioned names for these packages
Requires:       python-httplib2
Requires:       python-zope-interface
%else
Requires:       python2-httplib2
Requires:       python2-zope-interface
%endif

%if 0%{?fedora}
#Recommend the CLI as that will be the interface most use
Recommends:     certbot = %{version}
%else
Requires:       certbot = %{version}
%endif
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pyname}}

%description -n python2-%{pyname}
The certbot-dns-rfc2136 plugin automates the process of
completing an ACME dns-01 challenge by creating, and subsequently
removing, TXT records using Google Cloud DNS.

This is the Python 2 version of the package.

%if %{with python3}
%package -n python3-%{pyname}
# Provide the name users expect as a certbot plugin
%if 0%{?fedora}
Provides:       %{pyname} = %{version}-%{release}
%endif
# Although a plugin for the certbot command it's technically
# an extension to the certbot python libraries
Requires:       python3-acme = %{version}
Requires:       python3-certbot = %{version}
Requires:       python3-google-api-client
Requires:       python3-httplib2
Requires:       python3-mock
Requires:       python3-oauth2client
Requires:       python3-zope-interface

%if 0%{?fedora}
#Recommend the CLI as that will be the interface most use
Recommends:     certbot = %{version}
%else
Requires:       certbot = %{version}
%endif
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pyname}}

%description -n python3-%{pyname}
The certbot-dns-rfc2136 plugin automates the process of
completing an ACME dns-01 challenge by creating, and subsequently
removing, TXT records using Google Cloud DNS.

This is the Python 3 version of the package.
%endif

%prep
%autosetup -p1 -n %{pyname}-%{version}

%build
%py2_build
%if %{with python3}
%py3_build
%endif

%check
# TODO Find a way to run tests that don't require internet access
# %{__python2} setup.py test
# %if %{with python3}
# %{__python3} setup.py test
# %endif

%install
%py2_install
%if %{with python3}
%py3_install
%endif

%files -n python2-%{pyname}
%license LICENSE.txt
%doc README.rst
%{python2_sitelib}/certbot_dns_google
%{python2_sitelib}/certbot_dns_google-%{version}*.egg-info

%if %{with python3}
%files -n python3-%{pyname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/certbot_dns_google
%{python3_sitelib}/certbot_dns_google-%{version}*.egg-info
%endif

%changelog
* Mon Feb 12 2018 Eli Young <elyscape@gmail.com> - 0.21.1-1
- Initial package
